#1694 closed defect (fixed)

memory leak in main_setenv.c

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: shell Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@…, gedare@… Blocked By:
Blocking:

Description

According to http://scan2.coverity.com:9104/cov.cgi?cid=109, we do not free the string passed into setenv. I checked and setenv() does allocate another piece of memory to contain the string so we should free it.

Attachments (1)

setenv.diff (1.5 KB) - added by Joel Sherrill on Aug 28, 2010 at 6:59:14 PM.
Patch for CVS head.

Download all attachments as: .zip

Change History (3)

Changed on Aug 28, 2010 at 6:59:14 PM by Joel Sherrill

Attachment: setenv.diff added

Patch for CVS head.

comment:1 Changed on Apr 11, 2014 at 6:52:16 PM by Gedare Bloom

Resolution: fixed
Status: newclosed, gedare@rtems.org

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.